# Generated by Django 3.1 on 2021-05-03 23:08

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Aggregator',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('code', models.CharField(max_length=32, unique=True)),
                ('name', models.CharField(max_length=64, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Store',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('integrationId', models.CharField(max_length=64, unique=True)),
                ('name', models.CharField(max_length=64)),
                ('rappi_client_id', models.CharField(max_length=64, null=True, unique=True)),
                ('rappi_client_secret', models.CharField(max_length=256, null=True, unique=True)),
                ('rappi_audience', models.CharField(max_length=256, null=True)),
                ('rappi_grant_type', models.CharField(max_length=64, null=True)),
                ('active', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='Token',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('integrationId', models.CharField(max_length=64)),
                ('token', models.TextField()),
                ('date_expired', models.DateTimeField()),
                ('aggregator', models.CharField(max_length=32)),
            ],
        ),
        migrations.CreateModel(
            name='StoreAggregator',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('relation_id', models.CharField(max_length=64)),
                ('aggregator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='store.aggregator')),
                ('store', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='store.store')),
            ],
        ),
        migrations.AddField(
            model_name='store',
            name='aggregator',
            field=models.ManyToManyField(through='store.StoreAggregator', to='store.Aggregator'),
        ),
    ]
